Subject: Re: Start-up files for bash?
From: [email-masked] (Horia F Pop)

15 Mar 1997 04:06:35 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (Win95; I)
Original-To: Leonard Sisson <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Leonard Sisson wrote:
> 
> I have just installed the Cygnus Win32 utility binaries including Bash under
> Win 95.  A few years ago I had & helped do admin on a Sun Sparc system and
> used mostly csh.  As I recall, we had both system startup and individual
> login startup (something like .cshrc, .profile?) files as well as such files
> as some in an /etc directory (hosts & others).  I assume such startup files
> are implemented for the Win 32 port of Bash, but I haven't run across the
> documentation on how to do that yet.  Can anyone tell me where I can find
> that info?

Well, you will have to do the following:

(1) Prepare a batch file, let's say go-bash.bat with the following
contents:

set PATH=c:\cygnus\H-i386-cygwin32\bin;%PATH%
set HOME=c:\myfiles
bash

Of course you will modify the paths according to your situation.

(2) In your 'home' directory as given by the %HOME% variable you will
need the following files:

..bashrc		 will be sourced at the start of non-login shells
..bash_profile    will be sourced at login 
..bash_logout     will be sourced at logout

Be careful as the .bash* files need to be Unix-type ASCII files, not
Dos-type.

(3) For more info see the file c:\cygnus\man\man1\bash.1

I hope this helps.

Horia Pop

-------------------------------------------------------------------
Dr. Horia F. Pop, Lecturer Professor	Phone:	+40-64-194.315/154
Department of Computer Science		Fax:	+40-64-191.906
"Babes-Bolyai" University, Cluj, RO	Home:	+40-64-197.254
http://www.cs.ubbcluj.ro/~hfpop		E-mail:	[email-masked]
http://www.geocities.com/CapeCanaveral/9645	[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".